/** 
 *
 *   FIXME:
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ??? 
 **/

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
//#include <malloc.h>
#include "antena.h"


int antena_send_info(int fd, const char *fmt, ...)
{
	va_list ap;
	int l;
	struct antena_packet apk;

	l = sizeof(struct antena_packet_head);
	
	va_start(ap, fmt);
	l += vsnprintf (apk.data, ANTENA_PACKET_DATA_LEN, fmt, ap);
	va_end(ap);

	apk.h.cmd = INFO_ACM;
	ibus_send_data( fd, &apk, l);

	return l;
}

